<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
$label_adicional="Sucursal";
if(trim($_SESSION["Label_adicional"]) != ""){
    $label_adicional=$_SESSION["Label_adicional"];
}
?>
<style>
    .inputFile{
        width: 100%;
    }
</style>
<script>
var numero=0;

//con esta funcion eliminamos el campo cuyo link de eliminaci�n sea presionado
elimCamp = function (evt){
   evt = evento(evt);
   nCampo = rObj(evt);
   div = document.getElementById(nCampo.name);
   div.parentNode.removeChild(div);
}
//con esta funci�n recuperamos una instancia del objeto que disparo el evento
rObj = function (evt) { 
   return evt.srcElement ?  evt.srcElement : evt.target;
}		
evento = function (evt) { //esta funcion nos devuelve el tipo de evento disparado
   return (!evt) ? event : evt;
}

$j_3(document).ready(function() {
	$j_3('#loading').hide();
    $j_3().ajaxStart(function() {
        $j_3('#loading').show();
        $j_3('#result').hide();
    }).ajaxStop(function() {
        $j_3('#result').fadeIn('slow');
		$j_3('#loading').hide();
    });

	var opciones= {
                               //beforeSubmit: validaAdjuntos, //funcion que se ejecuta antes de enviar el form
                               success: mostrarRespuesta //funcion que se ejecuta una vez enviado el formulario
            };
		
		$j_3('#formAdjuntos').ajaxForm(opciones);
		
	/*function validaAdjuntos(){
		for(i=3; i<5; i++){
			
			if(document.getElementById('formAdjuntos').elements[i].value==""){
				alert('campos en blanco');
			}
		}
                          return false;
    };*/
	function mostrarRespuesta (data){
		$j_3('#result2').html(data);
		$j_3('#loading').hide();
    };
});
function addFile(){
	var td = new Array(4);
	for(i=0;i<4;i++){
		td[i] = document.createElement('td');
		td[i].className='td_captura';
	}
	var nTbody = document.createElement('tbody');
	nTbody.id='tbody_'+(++numero);
	var tr = document.createElement('tr');
	
	var inputHidden= document.createElement('input');
	inputHidden.type="hidden";
	inputHidden.value=nTbody.id;
	inputHidden.name="tbodyId[]";
		
		var inputPDF = document.createElement('input');
		inputPDF.name='filePDF[]';
		inputPDF.type='file';
		inputPDF.accept='application/pdf';
		inputPDF.className=":required text_captura inputFile";
		
		var inputXML = document.createElement('input');
		inputXML.name='fileXML[]';
		inputXML.type='file';
		inputXML.accept='text/xml';
		inputXML.className=":required text_captura inputFile";

	var del = document.createElement('img');
	del.src = 'Imagenes/Eraser.png';
	del.name=nTbody.id;
	del.onclick=function(){if(confirm('Esta seguro de eliminar estos archivos?')){ elimCamp(); return false;}};
	
	var select = document.createElement('select');
	select.name='sucursal[]';
        select.className="inputFile";
	
	$j_3.post("regresaSucursales.php", {},function(data){
            var sucursalesArray = data.replace('SUCURSALES=','').split('|');
            if(sucursalesArray.length > 1){
                    select.options[0] = new Option('Seleccione <?=$label_adicional?>','');
                    for(i=0; i < sucursalesArray.length; i++){
                            <?if($_SESSION['tipo_portal']=="VIMIFOS"){
                                if($_SESSION['tdocto'] != "TODOS"){
                            ?>
                                                    
                                    if(sucursalesArray[i].toUpperCase() == '<?=$_SESSION['tdocto']?>'){
                                <?}}?>
                                    select.options[i+1] = new Option(sucursalesArray[i],sucursalesArray[i]);
                            <?if($_SESSION['tipo_portal']=="VIMIFOS"){
                                if($_SESSION['tdocto'] != "TODOS"){?>    
                                }
                            <?}
                            
                            }?>
                    }
            }else{
                    for(i=0; i < sucursalesArray.length; i++){
                            select.options[i] = new Option(sucursalesArray[i],sucursalesArray[i]);
                    }
            }
			
        });
                        
	td[0].appendChild(inputHidden);
	td[0].appendChild(inputPDF);
	td[1].appendChild(inputXML);
	td[2].appendChild(select);
	td[3].appendChild(del);
	for(i=0;i<4;i++){
		tr.appendChild(td[i]);
	}
	nTbody.appendChild(tr);
	container = document.getElementById('gridArchivos');
	container.appendChild(nTbody);
}
</script>
<br/>



<table width="100%" style="" >
	<tr><td style="background-color: #FFFFFF; height: 0px" align="left"><a href="formularios/form_subir_archivos_masivo.php" target="_blank">Subir Archivos Masivamente</a></td></tr>
    <tr height="70%">
        <td valign="top">
            <form width="100%" name="formAdjuntos" action="subeArchivosGrid.php" id="formAdjuntos" enctype="multipart/form-data" method="post">
                <table style="background-color: #FFFFFF" id="gridArchivos" width="100%" class="td_general" height="100%">
                <tr>
                <td colspan="3" height="24" align="left"><input type="button" value="ADJUNTAR" class="estilo_btn" onClick="addFile();"/><input type="submit" value="SUBIR" class="estilo_btn" /></td>
                </tr>
                <tr>
                <td class="texto_cebra_center_descrip" width="200">PDF</td>
                <td class="texto_cebra_center_descrip" width="200">XML</td>
                <td class="texto_cebra_center_descrip"  width="200" colspan="2"><?=$label_adicional?></td>
                </tr>
                </table>
            </form>
		</td>
</tr>
<tr>
    <td align="center">
        <center>
            <div id='result2'></div>
        </center>
    </td>
</tr>
</table>